symbol.h File Reference
Include dependency graph for symbol.h:
This graph shows which files directly or indirectly include this file:

## Data Structures

struct | MSymbol
| Type of symbols. More...

## Macros

#define | MSYMBOL_NAME(sym) ((sym)->name)
#define | MSYMBOL_NAMELEN(sym) ((sym)->length - 1)

## Functions

void | msymbol__free_table ()
MSymbol | msymbol__with_len (const char *name, int len)
MPlist * | msymbol__list (MSymbol prop)
MSymbol | msymbol__canonicalize (MSymbol sym)

## Variables

MTextPropSerializeFunc | msymbol__serializer
MTextPropDeserializeFunc | msymbol__deserializer

## Macro Definition Documentation

## MSYMBOL_NAME

#define MSYMBOL_NAME | ( |  | sym | ) | ((sym)->name)

## MSYMBOL_NAMELEN

#define MSYMBOL_NAMELEN | ( |  | sym | ) | ((sym)->length - 1)

## Function Documentation

## msymbol__free_table()

void msymbol__free_table | ( |  | ) |

## msymbol__with_len()

MSymbol msymbol__with_len | ( | const char * | name,
|  | int | len
| ) |  |

## msymbol__list()

MPlist* msymbol__list | ( | MSymbol | prop | ) |

## msymbol__canonicalize()

MSymbol msymbol__canonicalize | ( | MSymbol | sym | ) |

## Variable Documentation

## msymbol__serializer

MTextPropSerializeFunc msymbol__serializer

extern

## msymbol__deserializer

MTextPropDeserializeFunc msymbol__deserializer

extern